Bug 1768480 - [abrt] freecad: cc_glglue_instance(): FreeCAD killed by SIGABRT
Summary: [abrt] freecad: cc_glglue_instance(): FreeCAD killed by SIGABRT
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: freecad
Version: 31
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Shaw
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:3cb2b3dc0a0e96c86c05eaee93d...
Depends On:
Blocks: 1784153
TreeView+ depends on / blocked
 
Reported: 2019-11-04 14:40 UTC by Michael Wiktowy
Modified: 2020-02-08 17:56 UTC (History)
6 users (show)

Fixed In Version: freecad-0.18.4-1.fc30 freecad-0.18.4-1.fc31 freecad-0.18.4-3.fc30 freecad-0.18.4-3.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-04 22:15:04 UTC


Attachments (Terms of Use)
File: backtrace (153.06 KB, text/plain)
2019-11-04 14:40 UTC, Michael Wiktowy
no flags Details
File: core_backtrace (49.55 KB, text/plain)
2019-11-04 14:40 UTC, Michael Wiktowy
no flags Details
File: cpuinfo (1.71 KB, text/plain)
2019-11-04 14:40 UTC, Michael Wiktowy
no flags Details
File: dso_list (22.53 KB, text/plain)
2019-11-04 14:40 UTC, Michael Wiktowy
no flags Details
File: environ (1.85 KB, text/plain)
2019-11-04 14:40 UTC, Michael Wiktowy
no flags Details
File: limits (1.29 KB, text/plain)
2019-11-04 14:40 UTC, Michael Wiktowy
no flags Details
File: maps (146.03 KB, text/plain)
2019-11-04 14:40 UTC, Michael Wiktowy
no flags Details
File: mountinfo (2.31 KB, text/plain)
2019-11-04 14:40 UTC, Michael Wiktowy
no flags Details
File: open_fds (2.84 KB, text/plain)
2019-11-04 14:40 UTC, Michael Wiktowy
no flags Details
File: proc_pid_status (1.31 KB, text/plain)
2019-11-04 14:40 UTC, Michael Wiktowy
no flags Details

Description Michael Wiktowy 2019-11-04 14:40:43 UTC
Description of problem:
Tested FreeCAD version freecad-0.18.3-6.fc31 in updates-testing as per https://bugzilla.redhat.com/show_bug.cgi?id=1766171

* the dependency issue is resolved (it is no longer trying to install v.5.13.1-2 of python3-pyside2 and python3-shiboken2)

* While the intial splash screen and file selection screen opens, FreeCAD still crashes on selecting to start a new project or trying to open an existing project

Version-Release number of selected component:
1:freecad-0.18.3-5.fc31.1

Additional info:
reporter:       libreport-2.10.1
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/gnome-shell-wayland.service
cmdline:        FreeCAD
crash_function: cc_glglue_instance
executable:     /usr/lib64/freecad/bin/FreeCAD
journald_cursor: s=32c3f868a07c47dd95beb60ae1361d99;i=d5bc8;b=22d4df6062ce43c19f04eb87b40c22e8;m=1c1990ae24;t=59685a36433d9;x=56664870c18be552
kernel:         5.3.7-301.fc31.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 1 Michael Wiktowy 2019-11-04 14:40:46 UTC
Created attachment 1632554 [details]
File: backtrace

Comment 2 Michael Wiktowy 2019-11-04 14:40:47 UTC
Created attachment 1632555 [details]
File: core_backtrace

Comment 3 Michael Wiktowy 2019-11-04 14:40:48 UTC
Created attachment 1632556 [details]
File: cpuinfo

Comment 4 Michael Wiktowy 2019-11-04 14:40:49 UTC
Created attachment 1632557 [details]
File: dso_list

Comment 5 Michael Wiktowy 2019-11-04 14:40:50 UTC
Created attachment 1632558 [details]
File: environ

Comment 6 Michael Wiktowy 2019-11-04 14:40:51 UTC
Created attachment 1632559 [details]
File: limits

Comment 7 Michael Wiktowy 2019-11-04 14:40:52 UTC
Created attachment 1632560 [details]
File: maps

Comment 8 Michael Wiktowy 2019-11-04 14:40:53 UTC
Created attachment 1632561 [details]
File: mountinfo

Comment 9 Michael Wiktowy 2019-11-04 14:40:54 UTC
Created attachment 1632562 [details]
File: open_fds

Comment 10 Michael Wiktowy 2019-11-04 14:40:55 UTC
Created attachment 1632563 [details]
File: proc_pid_status

Comment 11 Fedora Update System 2019-11-05 14:41:58 UTC
FEDORA-2019-817268f20d has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-817268f20d

Comment 12 Fedora Update System 2019-11-05 14:41:59 UTC
FEDORA-2019-9a5accc4f3 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-9a5accc4f3

Comment 13 Fedora Update System 2019-11-06 14:03:32 UTC
freecad-0.18.3-7.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-9a5accc4f3

Comment 14 Fedora Update System 2019-11-06 14:13:18 UTC
freecad-0.18.3-7.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-817268f20d

Comment 15 Fedora Update System 2019-11-07 13:35:04 UTC
FEDORA-2019-ec1247a71d has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ec1247a71d

Comment 16 Fedora Update System 2019-11-07 13:35:13 UTC
FEDORA-2019-1ff1241c0f has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-1ff1241c0f

Comment 17 Richard Shaw 2019-11-07 19:12:45 UTC
Let me know if you can reproduce this. This report was from when I accidentally built PySide2 5.13 but we don't have Qt 5.13 in Fedora yet so I built 5.12 later.

Comment 18 Michael Wiktowy 2019-11-07 19:38:08 UTC
freecad-0.18.3-7 still terminates on selecting a new or existing project in Gnome on Wayland but doesn't seem to trigger an abrt report.

Gives the following on the terminal if started up via commandline:

Program received signal SIGSEGV, Segmentation fault.
#0  /lib64/libc.so.6(+0x3c6b0) [0x7f2314b666b0]
#1  /lib64/libX11.so.6(XDefaultScreenOfDisplay+0x4) [0x7f2310f5bde4]
#2  /lib64/libCoin.so.80(+0x46e92e) [0x7f23146be92e]
#3  /lib64/libCoin.so.80(glxglue_init+0x40) [0x7f23146bf240]
#4  /lib64/libCoin.so.80(cc_glglue_instance+0x235) [0x7f23146b7d85]
#5  0x7f2314559b78 in SoGLRenderActionP::isDirectRendering(SoState const*) const from /lib64/libCoin.so.80+0x48
#6  0x7f231455bf47 in SoGLRenderActionP::render(SoNode*) from /lib64/libCoin.so.80+0xc7
#7  0x7f231455c193 in SoGLRenderAction::beginTraversal(SoNode*) from /lib64/libCoin.so.80+0xa3
#8  0x7f23145550ea in SoAction::apply(SoNode*) from /lib64/libCoin.so.80+0x28a
#9  0x7f23169f264f in Gui::SoBoxSelectionRenderAction::apply(SoNode*) from /usr/lib64/freecad/lib/libFreeCADGui.so+0x2f
#10  0x7f2316a8d2b5 in Gui::View3DInventorViewer::renderScene() from /usr/lib64/freecad/lib/libFreeCADGui.so+0x145
#11  0x7f2316a5fb19 in SIM::Coin3D::Quarter::QuarterWidget::paintEvent(QPaintEvent*) from /usr/lib64/freecad/lib/libFreeCADGui.so+0xa9
#12  0x7f2316a67951 in SIM::Coin3D::Quarter::SoQTQuarterAdaptor::paintEvent(QPaintEvent*) from /usr/lib64/freecad/lib/libFreeCADGui.so+0x21
#13  0x7f23155d934e in QWidget::event(QEvent*) from /lib64/libQt5Widgets.so.5+0x24e
#14  0x7f2315686942 in QFrame::event(QEvent*) from /lib64/libQt5Widgets.so.5+0x22
#15  0x7f23158f13d1 in QGraphicsView::viewportEvent(QEvent*) from /lib64/libQt5Widgets.so.5+0x161
#16  0x7f2316a5fd1e in SIM::Coin3D::Quarter::QuarterWidget::viewportEvent(QEvent*) from /usr/lib64/freecad/lib/libFreeCADGui.so+0x9e
#17  0x7f231516dc2e in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) from /lib64/libQt5Core.so.5+0x9e
#18  0x7f2315596ac5 in QApplicationPrivate::notify_helper(QObject*, QEvent*) from /lib64/libQt5Widgets.so.5+0x75
#19  0x7f23155a0150 in QApplication::notify(QObject*, QEvent*) from /lib64/libQt5Widgets.so.5+0x330
#20  0x7f23168364e8 in Gui::GUIApplication::notify(QObject*, QEvent*) from /usr/lib64/freecad/lib/libFreeCADGui.so+0x88
#21  0x7f231516dde8 in QCoreApplication::notifyInternal2(QObject*, QEvent*) from /lib64/libQt5Core.so.5+0x88
#22  0x7f23155d1ffa in QWidgetPrivate::sendPaintEvent(QRegion const&) from /lib64/libQt5Widgets.so.5+0x3a
#23  0x7f23155d2839 in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) from /lib64/libQt5Widgets.so.5+0x7e9
#24  0x7f23155d3553 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) from /lib64/libQt5Widgets.so.5+0x4d3
#25  0x7f23155d254c in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) from /lib64/libQt5Widgets.so.5+0x4fc
#26  0x7f23155d3553 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) from /lib64/libQt5Widgets.so.5+0x4d3
#27  0x7f23155d254c in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) from /lib64/libQt5Widgets.so.5+0x4fc
#28  0x7f23155d3553 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) from /lib64/libQt5Widgets.so.5+0x4d3
#29  0x7f23155d254c in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) from /lib64/libQt5Widgets.so.5+0x4fc
#30  0x7f23155d3553 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) from /lib64/libQt5Widgets.so.5+0x4d3
#31  0x7f23155d254c in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) from /lib64/libQt5Widgets.so.5+0x4fc
#32  0x7f23155d3553 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) from /lib64/libQt5Widgets.so.5+0x4d3
#33  0x7f23155d254c in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) from /lib64/libQt5Widgets.so.5+0x4fc
#34  /lib64/libQt5Widgets.so.5(+0x181ebe) [0x7f23155a8ebe]
#35  /lib64/libQt5Widgets.so.5(+0x1822c1) [0x7f23155a92c1]
#36  0x7f23155c1415 in QWidgetPrivate::syncBackingStore() from /lib64/libQt5Widgets.so.5+0xa5
#37  0x7f23155d9708 in QWidget::event(QEvent*) from /lib64/libQt5Widgets.so.5+0x608
#38  0x7f23156edef8 in QMainWindow::event(QEvent*) from /lib64/libQt5Widgets.so.5+0x68
#39  0x7f2316af6ceb in Gui::MainWindow::event(QEvent*) from /usr/lib64/freecad/lib/libFreeCADGui.so+0x18b
#40  0x7f2315596ad6 in QApplicationPrivate::notify_helper(QObject*, QEvent*) from /lib64/libQt5Widgets.so.5+0x86
#41  0x7f23155a0150 in QApplication::notify(QObject*, QEvent*) from /lib64/libQt5Widgets.so.5+0x330
#42  0x7f23168364e8 in Gui::GUIApplication::notify(QObject*, QEvent*) from /usr/lib64/freecad/lib/libFreeCADGui.so+0x88
#43  0x7f231516dde8 in QCoreApplication::notifyInternal2(QObject*, QEvent*) from /lib64/libQt5Core.so.5+0x88
#44  0x7f2315170d8b in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) from /lib64/libQt5Core.so.5+0x14b
#45  /lib64/libQt5Widgets.so.5(+0x4957fb) [0x7f23158bc7fb]
#46  /lib64/libQt5Widgets.so.5(+0x49e11b) [0x7f23158c511b]
#47  0x7f2315198c7a in QObject::event(QEvent*) from /lib64/libQt5Core.so.5+0x22a
#48  0x7f23158d2f63 in QGraphicsScene::event(QEvent*) from /lib64/libQt5Widgets.so.5+0x93
#49  0x7f2315596ad6 in QApplicationPrivate::notify_helper(QObject*, QEvent*) from /lib64/libQt5Widgets.so.5+0x86
#50  0x7f23155a0150 in QApplication::notify(QObject*, QEvent*) from /lib64/libQt5Widgets.so.5+0x330
#51  0x7f23168364e8 in Gui::GUIApplication::notify(QObject*, QEvent*) from /usr/lib64/freecad/lib/libFreeCADGui.so+0x88
#52  0x7f231516dde8 in QCoreApplication::notifyInternal2(QObject*, QEvent*) from /lib64/libQt5Core.so.5+0x88
#53  0x7f2315170d8b in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) from /lib64/libQt5Core.so.5+0x14b
#54  /lib64/libQt5Core.so.5(+0x2b9f27) [0x7f23151c2f27]
#55  /lib64/libglib-2.0.so.0(g_main_context_dispatch+0x160) [0x7f2312b4f4a0]
#56  /lib64/libglib-2.0.so.0(+0x51830) [0x7f2312b4f830]
#57  /lib64/libglib-2.0.so.0(g_main_context_iteration+0x33) [0x7f2312b4f8d3]
#58  0x7f23151c2cb5 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) from /lib64/libQt5Core.so.5+0x65
#59  0x7f231516cceb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) from /lib64/libQt5Core.so.5+0x12b
#60  0x7f2315174a16 in QCoreApplication::exec() from /lib64/libQt5Core.so.5+0x96
#61  0x7f23167bd3a5 in Gui::Application::runApplication() from /usr/lib64/freecad/lib/libFreeCADGui.so+0x16f5
#62  FreeCAD(main+0x6a6) [0x5618ddebdbe6]
#63  /lib64/libc.so.6(__libc_start_main+0xf3) [0x7f2314b511a3]
#64  FreeCAD(_start+0x2e) [0x5618ddebdf4e]

Comment 19 Richard Shaw 2019-11-07 21:12:27 UTC
I have not been able to reproduce this on Fedora 30 so far so I wonder what's different about F31?

Can you try the version from my COPR? It has the Coin3D stack all linked to Coin4 where Fedora 30/31 is still on Coin3 (but FreeCAD is linked with Coin4).

https://copr.fedorainfracloud.org/coprs/hobbes1069/FreeCAD_NEXT/

Comment 20 Richard Shaw 2019-11-08 13:26:26 UTC
Ok, I played around a bit and tried building python-pivy with Coin4 (keeping in mind SoQt is still built with Coin3) and the error changed (i.e., got shorter) but still occurred. So Everything needs to be moved to Coin4 BUT I don't have permission to do that outside of Rawhide (which has already been done). 

Stuck between a rock and a hard place.

Comment 21 Michael Wiktowy 2019-11-08 16:58:02 UTC
I think if there was some functional work-around for Gnome3/Wayland until Fedora 32, that would suffice. However, I updated to the versions in your COPR which pulled in:
Upgrading:
 SIMVoleon                                 x86_64                 2.0.3-1.fc31                      copr:copr.fedorainfracloud.org:hobbes1069:FreeCAD_NEXT                 129 k
 SoQt                                      x86_64                 1.6.0-1.fc31                      copr:copr.fedorainfracloud.org:hobbes1069:FreeCAD_NEXT                 235 k
 freecad                                   x86_64                 1:0.18.4-1.fc31                   copr:copr.fedorainfracloud.org:hobbes1069:FreeCAD_NEXT                  31 M
 freecad-data                              noarch                 1:0.18.4-1.fc31                   copr:copr.fedorainfracloud.org:hobbes1069:FreeCAD_NEXT                 169 M
 python3-pivy                              x86_64                 0.6.5-0.4.fc31                    copr:copr.fedorainfracloud.org:hobbes1069:FreeCAD_NEXT                 2.3 M
Installing dependencies:
 opencascade-foundation                    x86_64                 7.4.0-1.fc31                      copr:copr.fedorainfracloud.org:hobbes1069:FreeCAD_NEXT                  12 M
 opencascade-modeling                      x86_64                 7.4.0-1.fc31                      copr:copr.fedorainfracloud.org:hobbes1069:FreeCAD_NEXT                  16 M
 opencascade-ocaf                          x86_64                 7.4.0-1.fc31                      copr:copr.fedorainfracloud.org:hobbes1069:FreeCAD_NEXT                 1.4 M
 opencascade-visualization                 x86_64                 7.4.0-1.fc31                      copr:copr.fedorainfracloud.org:hobbes1069:FreeCAD_NEXT                 2.0 M

It still crashes in the same way.

Error from terminal:

Program received signal SIGSEGV, Segmentation fault.
#0  /lib64/libc.so.6(+0x3c6b0) [0x7fac4b1fb6b0]
#1  /lib64/libX11.so.6(XDefaultScreenOfDisplay+0x4) [0x7fac475f0de4]
#2  /lib64/libCoin.so.80(+0x46e92e) [0x7fac4ad5392e]
#3  /lib64/libCoin.so.80(glxglue_init+0x40) [0x7fac4ad54240]
#4  /lib64/libCoin.so.80(cc_glglue_instance+0x235) [0x7fac4ad4cd85]
#5  0x7fac4abeeb78 in SoGLRenderActionP::isDirectRendering(SoState const*) const from /lib64/libCoin.so.80+0x48
#6  0x7fac4abf0f47 in SoGLRenderActionP::render(SoNode*) from /lib64/libCoin.so.80+0xc7
#7  0x7fac4abf1193 in SoGLRenderAction::beginTraversal(SoNode*) from /lib64/libCoin.so.80+0xa3
#8  0x7fac4abea0ea in SoAction::apply(SoNode*) from /lib64/libCoin.so.80+0x28a
#9  0x7fac4d08864f in Gui::SoBoxSelectionRenderAction::apply(SoNode*) from /usr/lib64/freecad/lib/libFreeCADGui.so+0x2f
#10  0x7fac4d1232b5 in Gui::View3DInventorViewer::renderScene() from /usr/lib64/freecad/lib/libFreeCADGui.so+0x145
#11  0x7fac4d0f5b19 in SIM::Coin3D::Quarter::QuarterWidget::paintEvent(QPaintEvent*) from /usr/lib64/freecad/lib/libFreeCADGui.so+0xa9
#12  0x7fac4d0fd951 in SIM::Coin3D::Quarter::SoQTQuarterAdaptor::paintEvent(QPaintEvent*) from /usr/lib64/freecad/lib/libFreeCADGui.so+0x21
#13  0x7fac4bc6e34e in QWidget::event(QEvent*) from /lib64/libQt5Widgets.so.5+0x24e
#14  0x7fac4bd1b942 in QFrame::event(QEvent*) from /lib64/libQt5Widgets.so.5+0x22
#15  0x7fac4bf863d1 in QGraphicsView::viewportEvent(QEvent*) from /lib64/libQt5Widgets.so.5+0x161
#16  0x7fac4d0f5d1e in SIM::Coin3D::Quarter::QuarterWidget::viewportEvent(QEvent*) from /usr/lib64/freecad/lib/libFreeCADGui.so+0x9e
#17  0x7fac4b802c2e in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) from /lib64/libQt5Core.so.5+0x9e
#18  0x7fac4bc2bac5 in QApplicationPrivate::notify_helper(QObject*, QEvent*) from /lib64/libQt5Widgets.so.5+0x75
#19  0x7fac4bc35150 in QApplication::notify(QObject*, QEvent*) from /lib64/libQt5Widgets.so.5+0x330
#20  0x7fac4cecc4e8 in Gui::GUIApplication::notify(QObject*, QEvent*) from /usr/lib64/freecad/lib/libFreeCADGui.so+0x88
#21  0x7fac4b802de8 in QCoreApplication::notifyInternal2(QObject*, QEvent*) from /lib64/libQt5Core.so.5+0x88
#22  0x7fac4bc66ffa in QWidgetPrivate::sendPaintEvent(QRegion const&) from /lib64/libQt5Widgets.so.5+0x3a
#23  0x7fac4bc67839 in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) from /lib64/libQt5Widgets.so.5+0x7e9
#24  0x7fac4bc68553 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) from /lib64/libQt5Widgets.so.5+0x4d3
#25  0x7fac4bc6754c in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) from /lib64/libQt5Widgets.so.5+0x4fc
#26  0x7fac4bc68553 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) from /lib64/libQt5Widgets.so.5+0x4d3
#27  0x7fac4bc6754c in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) from /lib64/libQt5Widgets.so.5+0x4fc
#28  0x7fac4bc68553 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) from /lib64/libQt5Widgets.so.5+0x4d3
#29  0x7fac4bc6754c in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) from /lib64/libQt5Widgets.so.5+0x4fc
#30  0x7fac4bc68553 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) from /lib64/libQt5Widgets.so.5+0x4d3
#31  0x7fac4bc6754c in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) from /lib64/libQt5Widgets.so.5+0x4fc
#32  0x7fac4bc68553 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) from /lib64/libQt5Widgets.so.5+0x4d3
#33  0x7fac4bc6754c in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) from /lib64/libQt5Widgets.so.5+0x4fc
#34  /lib64/libQt5Widgets.so.5(+0x181ebe) [0x7fac4bc3debe]
#35  /lib64/libQt5Widgets.so.5(+0x1822c1) [0x7fac4bc3e2c1]
#36  0x7fac4bc56415 in QWidgetPrivate::syncBackingStore() from /lib64/libQt5Widgets.so.5+0xa5
#37  0x7fac4bc6e708 in QWidget::event(QEvent*) from /lib64/libQt5Widgets.so.5+0x608
#38  0x7fac4bd82ef8 in QMainWindow::event(QEvent*) from /lib64/libQt5Widgets.so.5+0x68
#39  0x7fac4d18cd9b in Gui::MainWindow::event(QEvent*) from /usr/lib64/freecad/lib/libFreeCADGui.so+0x18b
#40  0x7fac4bc2bad6 in QApplicationPrivate::notify_helper(QObject*, QEvent*) from /lib64/libQt5Widgets.so.5+0x86
#41  0x7fac4bc35150 in QApplication::notify(QObject*, QEvent*) from /lib64/libQt5Widgets.so.5+0x330
#42  0x7fac4cecc4e8 in Gui::GUIApplication::notify(QObject*, QEvent*) from /usr/lib64/freecad/lib/libFreeCADGui.so+0x88
#43  0x7fac4b802de8 in QCoreApplication::notifyInternal2(QObject*, QEvent*) from /lib64/libQt5Core.so.5+0x88
#44  /lib64/libQt5Widgets.so.5(+0x182ee3) [0x7fac4bc3eee3]
#45  /lib64/libQt5Widgets.so.5(+0x183e40) [0x7fac4bc3fe40]
#46  0x7fac4bc582c1 in QWidget::repaint(QRect const&) from /lib64/libQt5Widgets.so.5+0x91
#47  0x7fac4bc58330 in QWidget::repaint() from /lib64/libQt5Widgets.so.5+0x40
#48  /lib64/libQt5Widgets.so.5(+0x265a2a) [0x7fac4bd21a2a]
#49  0x7fac4bd21c25 in QAbstractButton::mouseReleaseEvent(QMouseEvent*) from /lib64/libQt5Widgets.so.5+0xe5
#50  0x7fac4be1537e in QToolButton::mouseReleaseEvent(QMouseEvent*) from /lib64/libQt5Widgets.so.5+0xe
#51  0x7fac4bc6e34e in QWidget::event(QEvent*) from /lib64/libQt5Widgets.so.5+0x24e
#52  0x7fac4be15428 in QToolButton::event(QEvent*) from /lib64/libQt5Widgets.so.5+0x38
#53  0x7fac4bc2bad6 in QApplicationPrivate::notify_helper(QObject*, QEvent*) from /lib64/libQt5Widgets.so.5+0x86
#54  0x7fac4bc353a3 in QApplication::notify(QObject*, QEvent*) from /lib64/libQt5Widgets.so.5+0x583
#55  0x7fac4cecc4e8 in Gui::GUIApplication::notify(QObject*, QEvent*) from /usr/lib64/freecad/lib/libFreeCADGui.so+0x88
#56  0x7fac4b802de8 in QCoreApplication::notifyInternal2(QObject*, QEvent*) from /lib64/libQt5Core.so.5+0x88
#57  0x7fac4bc344b7 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool, bool) from /lib64/libQt5Widgets.so.5+0x1b7
#58  /lib64/libQt5Widgets.so.5(+0x1ce0dd) [0x7fac4bc8a0dd]
#59  /lib64/libQt5Widgets.so.5(+0x1d0f6c) [0x7fac4bc8cf6c]
#60  0x7fac4bc2bad6 in QApplicationPrivate::notify_helper(QObject*, QEvent*) from /lib64/libQt5Widgets.so.5+0x86
#61  0x7fac4bc35150 in QApplication::notify(QObject*, QEvent*) from /lib64/libQt5Widgets.so.5+0x330
#62  0x7fac4cecc4e8 in Gui::GUIApplication::notify(QObject*, QEvent*) from /usr/lib64/freecad/lib/libFreeCADGui.so+0x88
#63  0x7fac4b802de8 in QCoreApplication::notifyInternal2(QObject*, QEvent*) from /lib64/libQt5Core.so.5+0x88
#64  0x7fac49bb3723 in QGuiApplicationPrivate::processMouseEvent(QWindowSystemInterfacePrivate::MouseEvent*) from /lib64/libQt5Gui.so.5+0x6f3
#65  0x7fac49bb4f4b in QGuiApplicationPrivate::processWindowSystemEvent(QWindowSystemInterfacePrivate::WindowSystemEvent*) from /lib64/libQt5Gui.so.5+0x26b
#66  0x7fac49b9154b in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>) from /lib64/libQt5Gui.so.5+0xbb
#67  /lib64/libQt5WaylandClient.so.5(+0x92564) [0x7fac393b9564]
#68  /lib64/libglib-2.0.so.0(g_main_context_dispatch+0x160) [0x7fac491e44a0]
#69  /lib64/libglib-2.0.so.0(+0x51830) [0x7fac491e4830]
#70  /lib64/libglib-2.0.so.0(g_main_context_iteration+0x33) [0x7fac491e48d3]
#71  0x7fac4b857cb5 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) from /lib64/libQt5Core.so.5+0x65
#72  0x7fac4b801ceb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) from /lib64/libQt5Core.so.5+0x12b
#73  0x7fac4b809a16 in QCoreApplication::exec() from /lib64/libQt5Core.so.5+0x96
#74  0x7fac4ce533a5 in Gui::Application::runApplication() from /usr/lib64/freecad/lib/libFreeCADGui.so+0x16f5
#75  FreeCAD(main+0x6a6) [0x5648c8080be6]
#76  /lib64/libc.so.6(__libc_start_main+0xf3) [0x7fac4b1e61a3]
#77  FreeCAD(_start+0x2e) [0x5648c8080f4e]

Comment 22 Richard Shaw 2019-11-08 17:25:40 UTC
I'm stumped then... The COPR version works for me on Fedora 30 so I wonder what's so different?

Comment 23 Richard Shaw 2019-11-08 18:39:41 UTC
Once this update makes it into testing please try it. You'll probably need to disable to COPR first and run "dnf distro-sync" to git rid of the COPR packages first.

https://bodhi.fedoraproject.org/updates/FEDORA-2019-ec1247a71d

Comment 24 Michael Wiktowy 2019-11-08 18:43:16 UTC
Is this going to be pushed to F31 also? That bodhi link seems to be F30-specific.

Comment 25 Richard Shaw 2019-11-08 18:52:29 UTC
Whoops, here you go:

https://bodhi.fedoraproject.org/updates/FEDORA-2019-1ff1241c0f

Comment 26 Fedora Update System 2019-11-09 23:20:25 UTC
freecad-0.18.4-1.fc31, opencascade-7.4.0-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-1ff1241c0f

Comment 27 Fedora Update System 2019-11-10 00:39:14 UTC
freecad-0.18.4-1.fc30, opencascade-7.4.0-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ec1247a71d

Comment 28 Richard Shaw 2019-11-13 20:47:08 UTC
Michael, what hardware are you running?

Intel / AMD / Nvidia?
Native drivers or proprietary?

Comment 29 Michael Wiktowy 2019-11-14 13:34:39 UTC
AMD with open-source out-of-the-box drivers. I avoid binary blobs for this very reason, no way to track down problems.

[root@desktop ~]# lspci
00:00.0 Host bridge: Advanced Micro Devices, Inc. [AMD/ATI] RD790 Host Bridge
00:02.0 PCI bridge: Advanced Micro Devices, Inc. [AMD/ATI] RX780/RD790 PCI to PCI bridge (external gfx0 port A)
00:06.0 PCI bridge: Advanced Micro Devices, Inc. [AMD/ATI] RD790 PCI to PCI bridge (PCI express gpp port C)
00:07.0 PCI bridge: Advanced Micro Devices, Inc. [AMD/ATI] RX780/RD790 PCI to PCI bridge (PCI express gpp port D)
00:11.0 SATA controller: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 SATA Controller [IDE mode]
00:12.0 USB controller: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
00:12.1 USB controller: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0 USB OHCI1 Controller
00:12.2 USB controller: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 USB EHCI Controller
00:13.0 USB controller: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
00:13.1 USB controller: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0 USB OHCI1 Controller
00:13.2 USB controller: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 USB EHCI Controller
00:14.0 SMBus: Advanced Micro Devices, Inc. [AMD/ATI] SBx00 SMBus Controller (rev 3a)
00:14.1 IDE interface: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 IDE Controller
00:14.2 Audio device: Advanced Micro Devices, Inc. [AMD/ATI] SBx00 Azalia (Intel HDA)
00:14.3 ISA bridge: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 LPC host controller
00:14.4 PCI bridge: Advanced Micro Devices, Inc. [AMD/ATI] SBx00 PCI to PCI Bridge
00:14.5 USB controller: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 USB OHCI2 Controller
00:18.0 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 10h Processor HyperTransport Configuration
00:18.1 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 10h Processor Address Map
00:18.2 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 10h Processor DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 10h Processor Miscellaneous Control
00:18.4 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 10h Processor Link Control
02:00.0 FireWire (IEEE 1394): VIA Technologies, Inc. VT6315 Series Firewire Controller
03:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 01)
04:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Hawaii PRO [Radeon R9 290/390] (rev 80)
04:00.1 Audio device: Advanced Micro Devices, Inc. [AMD/ATI] Hawaii HDMI Audio [Radeon R9 290/290X / 390/390X]

[root@desktop ~]# lspci -v -s 04:00.0
04:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Hawaii PRO [Radeon R9 290/390] (rev 80) (prog-if 00 [VGA controller])
	Subsystem: XFX Pine Group Inc. Device 9390
	Flags: bus master, fast devsel, latency 0, IRQ 27, NUMA node 0
	Memory at d0000000 (64-bit, prefetchable) [size=256M]
	Memory at cf800000 (64-bit, prefetchable) [size=8M]
	I/O ports at e000 [size=256]
	Memory at fbf80000 (32-bit, non-prefetchable) [size=256K]
	Expansion ROM at 000c0000 [disabled] [size=128K]
	Capabilities: [48] Vendor Specific Information: Len=08 <?>
	Capabilities: [50] Power Management version 3
	Capabilities: [58] Express Legacy Endpoint, MSI 00
	Capabilities: [a0] MSI: Enable+ Count=1/1 Maskable- 64bit+
	Capabilities: [100] Vendor Specific Information: ID=0001 Rev=1 Len=010 <?>
	Capabilities: [150] Advanced Error Reporting
	Capabilities: [200] Resizable BAR <?>
	Capabilities: [270] Secondary PCI Express <?>
	Capabilities: [2b0] Address Translation Service (ATS)
	Capabilities: [2c0] Page Request Interface (PRI)
	Capabilities: [2d0] Process Address Space ID (PASID)
	Kernel driver in use: radeon
	Kernel modules: radeon, amdgpu

Comment 30 Richard Shaw 2019-11-14 13:59:34 UTC
I have Nvidia mainly for MythTV VDPAU playback. I was able to get Fedora 31 installed into a VM and could replicate the error but did an update and rebooted and got the black screen again.... <SIGH>

I'm going to try and make time to upgrade this weekend.

Comment 31 Richard Shaw 2019-11-14 15:00:52 UTC
FYI, there's a mention on the FreeCAD forums about removing glx from Coin to help Wayland work better but since you tries Xorg and it still crashes this may not be the full problem...

https://forum.freecadweb.org/viewtopic.php?t=33359#p279513

Also, the "patch" doesn't apply cleanly to current Coin4 otherwise I might create a test package.

Comment 32 Michael Wiktowy 2019-11-14 15:18:19 UTC
To be clear, running on Xorg is more successful than on Wayland. I can open a new project and open about half of the example files where as with Wayland it crashes no matter what I select.

So there may be two separate issues here and the crash with Wayland just shadows the crashes that also happen on Xorg.

I am not sure why but I am not getting abrt popping up on any of those crashes anymore.

Comment 33 René Perdok 2019-11-17 12:30:55 UTC
Similar problem has been detected:

after upgrade to Fedora 31 FreeCAD is no longer working.

Program received signal SIGSEGV, Segmentation fault.
#0  /lib64/libc.so.6(+0x3c6b0) [0x7f42b04136b0]
#1  /lib64/libX11.so.6(XDefaultScreenOfDisplay+0x4) [0x7f42ac808de4]
#2  /lib64/libCoin.so.80(+0x46e92e) [0x7f42aff6b92e]
#3  /lib64/libCoin.so.80(glxglue_init+0x40) [0x7f42aff6c240]
#4  /lib64/libCoin.so.80(cc_glglue_instance+0x235) [0x7f42aff64d85]
#5  0x7f42afe06b78 in SoGLRenderActionP::isDirectRendering(SoState const*) const from /lib64/libCoin.so.80+0x48
#6  0x7f42afe08f47 in SoGLRenderActionP::render(SoNode*) from /lib64/libCoin.so.80+0xc7
#7  0x7f42afe09193 in SoGLRenderAction::beginTraversal(SoNode*) from /lib64/libCoin.so.80+0xa3
#8  0x7f42afe020ea in SoAction::apply(SoNode*) from /lib64/libCoin.so.80+0x28a
#9  0x7f42b229064f in Gui::SoBoxSelectionRenderAction::apply(SoNode*) from /usr/lib64/freecad/lib/libFreeCADGui.so+0x2f
#10  0x7f42b232b2b5 in Gui::View3DInventorViewer::renderScene() from /usr/lib64/freecad/lib/libFreeCADGui.so+0x145
#11  0x7f42b22fdb19 in SIM::Coin3D::Quarter::QuarterWidget::paintEvent(QPaintEvent*) from /usr/lib64/freecad/lib/libFreeCADGui.so+0xa9
#12  0x7f42b2305951 in SIM::Coin3D::Quarter::SoQTQuarterAdaptor::paintEvent(QPaintEvent*) from /usr/lib64/freecad/lib/libFreeCADGui.so+0x21
#13  0x7f42b0e8634e in QWidget::event(QEvent*) from /lib64/libQt5Widgets.so.5+0x24e
#14  0x7f42b0f33942 in QFrame::event(QEvent*) from /lib64/libQt5Widgets.so.5+0x22
#15  0x7f42b119e3d1 in QGraphicsView::viewportEvent(QEvent*) from /lib64/libQt5Widgets.so.5+0x161
#16  0x7f42b22fdd1e in SIM::Coin3D::Quarter::QuarterWidget::viewportEvent(QEvent*) from /usr/lib64/freecad/lib/libFreeCADGui.so+0x9e
#17  0x7f42b0a1ac2e in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) from /lib64/libQt5Core.so.5+0x9e
#18  0x7f42b0e43ac5 in QApplicationPrivate::notify_helper(QObject*, QEvent*) from /lib64/libQt5Widgets.so.5+0x75
#19  0x7f42b0e4d150 in QApplication::notify(QObject*, QEvent*) from /lib64/libQt5Widgets.so.5+0x330
#20  0x7f42b20d44e8 in Gui::GUIApplication::notify(QObject*, QEvent*) from /usr/lib64/freecad/lib/libFreeCADGui.so+0x88
#21  0x7f42b0a1ade8 in QCoreApplication::notifyInternal2(QObject*, QEvent*) from /lib64/libQt5Core.so.5+0x88
#22  0x7f42b0e7effa in QWidgetPrivate::sendPaintEvent(QRegion const&) from /lib64/libQt5Widgets.so.5+0x3a
#23  0x7f42b0e7f839 in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) from /lib64/libQt5Widgets.so.5+0x7e9
#24  0x7f42b0e80553 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) from /lib64/libQt5Widgets.so.5+0x4d3
#25  0x7f42b0e7f54c in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) from /lib64/libQt5Widgets.so.5+0x4fc
#26  0x7f42b0e80553 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) from /lib64/libQt5Widgets.so.5+0x4d3
#27  0x7f42b0e7f54c in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) from /lib64/libQt5Widgets.so.5+0x4fc
#28  0x7f42b0e80553 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) from /lib64/libQt5Widgets.so.5+0x4d3
#29  0x7f42b0e7f54c in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) from /lib64/libQt5Widgets.so.5+0x4fc
#30  0x7f42b0e80553 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) from /lib64/libQt5Widgets.so.5+0x4d3
#31  0x7f42b0e7f54c in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) from /lib64/libQt5Widgets.so.5+0x4fc
#32  0x7f42b0e80553 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) from /lib64/libQt5Widgets.so.5+0x4d3
#33  0x7f42b0e7f54c in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) from /lib64/libQt5Widgets.so.5+0x4fc
#34  /lib64/libQt5Widgets.so.5(+0x181ebe) [0x7f42b0e55ebe]
#35  /lib64/libQt5Widgets.so.5(+0x1822c1) [0x7f42b0e562c1]
#36  0x7f42b0e6e415 in QWidgetPrivate::syncBackingStore() from /lib64/libQt5Widgets.so.5+0xa5
#37  0x7f42b0e86708 in QWidget::event(QEvent*) from /lib64/libQt5Widgets.so.5+0x608
#38  0x7f42b0f9aef8 in QMainWindow::event(QEvent*) from /lib64/libQt5Widgets.so.5+0x68
#39  0x7f42b2394d9b in Gui::MainWindow::event(QEvent*) from /usr/lib64/freecad/lib/libFreeCADGui.so+0x18b
#40  0x7f42b0e43ad6 in QApplicationPrivate::notify_helper(QObject*, QEvent*) from /lib64/libQt5Widgets.so.5+0x86
#41  0x7f42b0e4d150 in QApplication::notify(QObject*, QEvent*) from /lib64/libQt5Widgets.so.5+0x330
#42  0x7f42b20d44e8 in Gui::GUIApplication::notify(QObject*, QEvent*) from /usr/lib64/freecad/lib/libFreeCADGui.so+0x88
#43  0x7f42b0a1ade8 in QCoreApplication::notifyInternal2(QObject*, QEvent*) from /lib64/libQt5Core.so.5+0x88
#44  0x7f42b0a1dd8b in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) from /lib64/libQt5Core.so.5+0x14b
#45  /lib64/libQt5Widgets.so.5(+0x4957fb) [0x7f42b11697fb]
#46  /lib64/libQt5Widgets.so.5(+0x49e11b) [0x7f42b117211b]
#47  0x7f42b0a45c7a in QObject::event(QEvent*) from /lib64/libQt5Core.so.5+0x22a
#48  0x7f42b117ff63 in QGraphicsScene::event(QEvent*) from /lib64/libQt5Widgets.so.5+0x93
#49  0x7f42b0e43ad6 in QApplicationPrivate::notify_helper(QObject*, QEvent*) from /lib64/libQt5Widgets.so.5+0x86
#50  0x7f42b0e4d150 in QApplication::notify(QObject*, QEvent*) from /lib64/libQt5Widgets.so.5+0x330
#51  0x7f42b20d44e8 in Gui::GUIApplication::notify(QObject*, QEvent*) from /usr/lib64/freecad/lib/libFreeCADGui.so+0x88
#52  0x7f42b0a1ade8 in QCoreApplication::notifyInternal2(QObject*, QEvent*) from /lib64/libQt5Core.so.5+0x88
#53  0x7f42b0a1dd8b in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) from /lib64/libQt5Core.so.5+0x14b
#54  /lib64/libQt5Core.so.5(+0x2b9f27) [0x7f42b0a6ff27]
#55  /lib64/libglib-2.0.so.0(g_main_context_dispatch+0x160) [0x7f42ae3fc4a0]
#56  /lib64/libglib-2.0.so.0(+0x51830) [0x7f42ae3fc830]
#57  /lib64/libglib-2.0.so.0(g_main_context_iteration+0x33) [0x7f42ae3fc8d3]
#58  0x7f42b0a6fd34 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) from /lib64/libQt5Core.so.5+0xe4
#59  0x7f42b23a5c65 in Gui::Sequencer::setValue(int) from /usr/lib64/freecad/lib/libFreeCADGui.so+0x1c5
#60  0x7f42b17fcd30 in Base::SequencerBase::next(bool) from /usr/lib64/freecad/lib/libFreeCADBase.so+0x70
#61  0x7f42b17fd541 in Base::SequencerLauncher::next(bool) from /usr/lib64/freecad/lib/libFreeCADBase.so+0x61
#62  0x7f42b17f3c59 in Base::XMLReader::readFiles(zipios::ZipInputStream&) const from /usr/lib64/freecad/lib/libFreeCADBase.so+0x109
#63  0x7f42b1a252db in App::Document::restore() from /usr/lib64/freecad/lib/libFreeCADApp.so+0x36b
#64  0x7f42b1b41704 in App::Application::openDocument(char const*) from /usr/lib64/freecad/lib/libFreeCADApp.so+0x194
#65  0x7f42b1b5cd3d in App::Application::sOpenDocument(_object*, _object*) from /usr/lib64/freecad/lib/libFreeCADApp.so+0xad
#66  /lib64/libpython3.7m.so.1.0(_PyMethodDef_RawFastCallKeywords+0x25e) [0x7f42b148368e]
#67  /lib64/libpython3.7m.so.1.0(_PyCFunction_FastCallKeywords+0x23) [0x7f42b14837c3]
#68  /lib64/libpython3.7m.so.1.0(+0x141503) [0x7f42b14b6503]
#69  /lib64/libpython3.7m.so.1.0(_PyEval_EvalFrameDefault+0x55b2) [0x7f42b14f14c2]
#70  /lib64/libpython3.7m.so.1.0(_PyEval_EvalCodeWithName+0x2f0) [0x7f42b14a3d90]
#71  /lib64/libpython3.7m.so.1.0(PyEval_EvalCodeEx+0x39) [0x7f42b14a4af9]
#72  /lib64/libpython3.7m.so.1.0(PyEval_EvalCode+0x1b) [0x7f42b1532e4b]
#73  /lib64/libpython3.7m.so.1.0(+0x1febf3) [0x7f42b1573bf3]
#74  /lib64/libpython3.7m.so.1.0(PyRun_StringFlags+0x7d) [0x7f42b1573c8d]
#75  0x7f42b17c2e2a in Base::InterpreterSingleton::runString[abi:cxx11](char const*) from /usr/lib64/freecad/lib/libFreeCADBase.so+0x6a
#76  0x7f42b1b5c5f7 in App::Application::sLoadFile(_object*, _object*) from /usr/lib64/freecad/lib/libFreeCADApp.so+0x567
#77  /lib64/libpython3.7m.so.1.0(_PyMethodDef_RawFastCallKeywords+0x25e) [0x7f42b148368e]
#78  /lib64/libpython3.7m.so.1.0(_PyCFunction_FastCallKeywords+0x23) [0x7f42b14837c3]
#79  /lib64/libpython3.7m.so.1.0(+0x141503) [0x7f42b14b6503]
#80  /lib64/libpython3.7m.so.1.0(_PyEval_EvalFrameDefault+0x55b2) [0x7f42b14f14c2]
#81  /lib64/libpython3.7m.so.1.0(_PyEval_EvalCodeWithName+0x2f0) [0x7f42b14a3d90]
#82  /lib64/libpython3.7m.so.1.0(PyEval_EvalCodeEx+0x39) [0x7f42b14a4af9]
#83  /lib64/libpython3.7m.so.1.0(PyEval_EvalCode+0x1b) [0x7f42b1532e4b]
#84  /lib64/libpython3.7m.so.1.0(+0x1febf3) [0x7f42b1573bf3]
#85  /lib64/libpython3.7m.so.1.0(PyRun_StringFlags+0x7d) [0x7f42b1573c8d]
#86  /lib64/libpython3.7m.so.1.0(+0x1ff05b) [0x7f42b157405b]
#87  /lib64/libpython3.7m.so.1.0(_PyMethodDef_RawFastCallKeywords+0x74) [0x7f42b14834a4]
#88  /lib64/libpython3.7m.so.1.0(_PyCFunction_FastCallKeywords+0x23) [0x7f42b14837c3]
#89  /lib64/libpython3.7m.so.1.0(+0x141503) [0x7f42b14b6503]
#90  /lib64/libpython3.7m.so.1.0(_PyEval_EvalFrameDefault+0xb58) [0x7f42b14eca68]
#91  /lib64/libpython3.7m.so.1.0(_PyEval_EvalCodeWithName+0x2f0) [0x7f42b14a3d90]
#92  /lib64/libpython3.7m.so.1.0(PyEval_EvalCodeEx+0x39) [0x7f42b14a4af9]
#93  /lib64/libpython3.7m.so.1.0(PyEval_EvalCode+0x1b) [0x7f42b1532e4b]
#94  /lib64/libpython3.7m.so.1.0(+0x1febf3) [0x7f42b1573bf3]
#95  /lib64/libpython3.7m.so.1.0(PyRun_StringFlags+0x7d) [0x7f42b1573c8d]
#96  0x7f42b17c2e2a in Base::InterpreterSingleton::runString[abi:cxx11](char const*) from /usr/lib64/freecad/lib/libFreeCADBase.so+0x6a
#97  0x7f42b2100784 in Gui::Command::doCommand(Gui::Command::DoCmd_Type, char const*, ...) from /usr/lib64/freecad/lib/libFreeCADGui.so+0x134
#98  0x7f42940e4f70 in WebGui::BrowserView::onLinkClicked(QUrl const&) from /usr/lib64/freecad/lib/WebGui.so+0x820
#99  0x7f42b0a44dfb in QMetaObject::activate(QObject*, int, int, void**) from /lib64/libQt5Core.so.5+0x69b
#100  0x7f427fb65cc9 in QWebView::linkClicked(QUrl const&) from /lib64/libQt5WebKitWidgets.so.5+0x39
#101  /lib64/libQt5WebKitWidgets.so.5(+0x37baa) [0x7f427fb66baa]
#102  0x7f42b0a44dfb in QMetaObject::activate(QObject*, int, int, void**) from /lib64/libQt5Core.so.5+0x69b
#103  0x7f427fb5b389 in QWebPage::linkClicked(QUrl const&) from /lib64/libQt5WebKitWidgets.so.5+0x39
#104  0x7f427fb5bceb in QWebPage::acceptNavigationRequest(QWebFrame*, QNetworkRequest const&, QWebPage::NavigationType) from /lib64/libQt5WebKitWidgets.so.5+0x8b
#105  /lib64/libQt5WebKit.so.5(+0x5a9fd0) [0x7f427b71ffd0]
#106  /lib64/libQt5WebKit.so.5(+0x166446e) [0x7f427c7da46e]
#107  /lib64/libQt5WebKit.so.5(+0x1648404) [0x7f427c7be404]
#108  /lib64/libQt5WebKit.so.5(+0x1648a39) [0x7f427c7bea39]
#109  /lib64/libQt5WebKit.so.5(+0x16492f2) [0x7f427c7bf2f2]
#110  0x7f427c7bff31 in WebCore::FrameLoader::loadFrameRequest(WebCore::FrameLoadRequest const&, WebCore::Event*, WTF::PassRefPtr<WebCore::FormState>) from /lib64/libQt5WebKit.so.5+0x3e1
#111  /lib64/libQt5WebKit.so.5(+0x164a4ec) [0x7f427c7c04ec]
#112  0x7f427c7c0a5a in WebCore::FrameLoader::urlSelected(WebCore::URL const&, WTF::String const&, WebCore::Event*, WebCore::LockHistory, WebCore::LockBackForwardList, WebCore::ShouldSendReferrer, WebCore::ShouldOpenExternalURLsPolicy) from /lib64/libQt5WebKit.so.5+0x3fa
#113  /lib64/libQt5WebKit.so.5(+0x11feeb5) [0x7f427c374eb5]
#114  /lib64/libQt5WebKit.so.5(+0x1354c5a) [0x7f427c4cac5a]
#115  /lib64/libQt5WebKit.so.5(+0x13531b2) [0x7f427c4c91b2]
#116  /lib64/libQt5WebKit.so.5(+0x16e6f69) [0x7f427c85cf69]
#117  0x7f427c861d69 in WebCore::EventHandler::handleMouseReleaseEvent(WebCore::PlatformMouseEvent const&) from /lib64/libQt5WebKit.so.5+0x529
#118  0x7f427b746de6 in QWebPageAdapter::mouseReleaseEvent(QMouseEvent*) from /lib64/libQt5WebKit.so.5+0x76
#119  0x7f427fb647eb in QWebPage::event(QEvent*) from /lib64/libQt5WebKitWidgets.so.5+0x96b
#120  0x7f427fb65754 in QWebView::mouseReleaseEvent(QMouseEvent*) from /lib64/libQt5WebKitWidgets.so.5+0x24
#121  0x7f42b0e8634e in QWidget::event(QEvent*) from /lib64/libQt5Widgets.so.5+0x24e
#122  0x7f427fb66ea3 in QWebView::event(QEvent*) from /lib64/libQt5WebKitWidgets.so.5+0x63
#123  0x7f42b0e43ad6 in QApplicationPrivate::notify_helper(QObject*, QEvent*) from /lib64/libQt5Widgets.so.5+0x86
#124  0x7f42b0e4d3a3 in QApplication::notify(QObject*, QEvent*) from /lib64/libQt5Widgets.so.5+0x583
#125  0x7f42b20d44e8 in Gui::GUIApplication::notify(QObject*, QEvent*) from /usr/lib64/freecad/lib/libFreeCADGui.so+0x88

reporter:       libreport-2.10.1
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/gnome-shell-wayland.service
cmdline:        FreeCAD
crash_function: cc_glglue_instance
executable:     /usr/lib64/freecad/bin/FreeCAD
journald_cursor: s=a7156d54481540f0935ffef9d0ad49cb;i=140e0b;b=80c28b9b509240998d69c810f5383a88;m=2d79fb934;t=5977e3c6c2345;x=892b7ed0dad08e3b
kernel:         5.3.11-300.fc31.x86_64
package:        1:freecad-0.18.3-5.fc31.1
reason:         FreeCAD killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 34 Richard Shaw 2019-11-17 13:02:03 UTC
There are two problems so far:

1. FreeCAD does not work on Wayland. There's nothing I can do about this one.

2. In an effort to fix things I tried building with Coin4 even though the rest of the Coin3D stack was built with Coin3.

The current packages in update testing are being pushed to stable just to fix the package dependency issues and to make opencascade available. After that I plan to rebuild freecad for F30/31 and move back to Coin3.

Comment 35 René Perdok 2019-11-17 16:13:23 UTC
Some info, when I start Cura from the commandline with sudo, it runs fine! It only fails when I start it as the current user.

Comment 36 René Perdok 2019-11-17 16:42:43 UTC
Sorry, I mean FreeCAD! Cura slicer has a problem that is somehow the same.

Comment 37 Fedora Update System 2019-11-18 01:17:46 UTC
freecad-0.18.4-1.fc30, opencascade-7.4.0-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 38 Fedora Update System 2019-11-18 01:36:48 UTC
freecad-0.18.4-1.fc31, opencascade-7.4.0-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 39 Fedora Update System 2019-11-18 22:47:17 UTC
freecad-0.18.4-1.fc31, opencascade-7.4.0-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 40 René Perdok 2019-11-19 07:45:25 UTC
Unfortunately the problem still remains for me, unless I start FreeCAD from the terminal with sudo.

Comment 41 Richard Shaw 2019-11-19 15:02:51 UTC
Yes, that's interesting, but I'm not sure how to track down why it works when running as root...

Comment 42 René Perdok 2019-11-20 09:54:37 UTC
Is there anything I can do, like generating debug logs for both situations?

Comment 43 Richard Shaw 2019-11-20 19:29:53 UTC
I've looked though the current ones but I must admit I'm not the best at deciphering them. 

It's strange that running with sudo "fixes" the problem.

Comment 44 Priit Laes 2019-12-01 18:04:41 UTC
Firstly, a simpler workaround to force it run as Xorg application under Wayland:

$ QT_QPA_PLATFORM=xcb /usr/bin/FreeCAD

And there's a hint that it might be libcoin issue which creates a fake gl context:

https://forum.freecadweb.org/viewtopic.php?t=33359

Comment 45 Michael Wiktowy 2019-12-02 20:51:04 UTC
Following work-around in Comment 44 works for me and none of the examples crash. There are a few errors generated in the terminal but nothing fatal.

[mwiktowy@desktop ~]$ QT_QPA_PLATFORM=xcb /usr/bin/FreeCAD
FreeCAD 0.18, Libs: 0.18RUnknown
© Juergen Riegel, Werner Mayer, Yorik van Havre 2001-2019
  #####                 ####  ###   ####  
  #                    #      # #   #   # 
  #     ##  #### ####  #     #   #  #   # 
  ####  # # #  # #  #  #     #####  #   # 
  #     #   #### ####  #    #     # #   # 
  #     #   #    #     #    #     # #   #  ##  ##  ##
  #     #   #### ####   ### #     # ####   ##  ##  ##

Enumeration index -1 is out of range, ignore it
Enumeration index -1 is out of range, ignore it
Enumeration index -1 is out of range, ignore it
Coin error in SoNode::GLRenderS(): GL error: 'GL_STACK_OVERFLOW', nodetype: SoFCSelection (set envvar COIN_GLERROR_DEBUGGING=1 and re-run to get more information)
Coin error in SoNode::GLRenderS(): GL error: 'GL_STACK_UNDERFLOW', nodetype: Separator (set envvar COIN_GLERROR_DEBUGGING=1 and re-run to get more information)
Coin error in SoNode::GLRenderS(): GL error: 'GL_STACK_OVERFLOW', nodetype: SoFCSelection (set envvar COIN_GLERROR_DEBUGGING=1 and re-run to get more information)
Coin error in SoNode::GLRenderS(): GL error: 'GL_STACK_UNDERFLOW', nodetype: Separator (set envvar COIN_GLERROR_DEBUGGING=1 and re-run to get more information)
Coin error in SoNode::GLRenderS(): GL error: 'GL_STACK_OVERFLOW', nodetype: SoFCSelection (set envvar COIN_GLERROR_DEBUGGING=1 and re-run to get more information)
Coin error in SoNode::GLRenderS(): GL error: 'GL_STACK_UNDERFLOW', nodetype: Separator (set envvar COIN_GLERROR_DEBUGGING=1 and re-run to get more information)
Coin error in SoNode::GLRenderS(): GL error: 'GL_STACK_OVERFLOW', nodetype: SoFCSelection (set envvar COIN_GLERROR_DEBUGGING=1 and re-run to get more information)
Coin error in SoNode::GLRenderS(): GL error: 'GL_STACK_UNDERFLOW', nodetype: Separator (set envvar COIN_GLERROR_DEBUGGING=1 and re-run to get more information)

Not really a fix to the core problem but at least something that doesn't require a whole desktop environment change or running things as sudo and is something that can be incorporated in a .desktop file or a fail-over script.

Comment 46 Richard Shaw 2019-12-02 21:47:24 UTC
I just rebuilt Coin4 in my COPR without building with libglx, let me know if that helps.

https://copr.fedorainfracloud.org/coprs/hobbes1069/FreeCAD_NEXT/

Comment 47 René Perdok 2019-12-06 15:08:57 UTC
Similar problem has been detected:

I was trying to start a new sketch.

reporter:       libreport-2.11.3
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/gnome-shell-wayland.service
cmdline:        FreeCAD
crash_function: cc_glglue_instance
executable:     /usr/lib64/freecad/bin/FreeCAD
journald_cursor: s=a7156d54481540f0935ffef9d0ad49cb;i=184115;b=d9d178c6b4c542cc9880980d3c527ef7;m=4d745b007;t=5990a3a6b9904;x=6f5bd5d2c1959510
kernel:         5.3.13-300.fc31.x86_64
package:        1:freecad-0.18.4-2.fc31
reason:         FreeCAD killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 48 René Perdok 2019-12-09 18:47:05 UTC
Similar problem has been detected:

Trying to create a new file

reporter:       libreport-2.11.3
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/gnome-shell-wayland.service
cmdline:        FreeCAD
crash_function: cc_glglue_instance
executable:     /usr/lib64/freecad/bin/FreeCAD
journald_cursor: s=a7156d54481540f0935ffef9d0ad49cb;i=2359df;b=f279cef8244f44d8bd215d49e5c797d3;m=b584e4bd;t=59949a57fa104;x=c790c421bea27f89
kernel:         5.3.14-300.fc31.x86_64
package:        1:freecad-0.18.4-2.fc31
reason:         FreeCAD killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 49 Richard Shaw 2019-12-09 19:07:56 UTC
Can you try installing the version from my COPR? Using it I haven't been able to make it crash.

Comment 50 Michael Wiktowy 2019-12-09 19:48:03 UTC
That version of FreeCAD coupled with the Coin4 from your COPR is a definite improvement!

Using the new FreeCAD from your COPR with the Coin4 currently in updates still crashes.

However, uninstalling Coin4 to purge those versions from updates-testing and updates and then reinstalling freecad from hobbes1069/FreeCAD_NEXT also pulled in Coin4 from that COPR.

I can now open a new project and some of the example projects.

It still crashes on trying to open "ArchDetail.FCStd", "FemCalculixCantilever2D.FCStd" and EngineBlock.FCStd" though. But those crash when running FreeCAD under XOrg too.

The output from the crash on opening EngineBlock is:

[mwiktowy@desktop ~]$ FreeCAD
FreeCAD 0.18, Libs: 0.18RUnknown
© Juergen Riegel, Werner Mayer, Yorik van Havre 2001-2019
  #####                 ####  ###   ####  
  #                    #      # #   #   # 
  #     ##  #### ####  #     #   #  #   # 
  ####  # # #  # #  #  #     #####  #   # 
  #     #   #### ####  #    #     # #   # 
  #     #   #    #     #    #     # #   #  ##  ##  ##
  #     #   #### ####   ### #     # ####   ##  ##  ##

Program received signal SIGSEGV, Segmentation fault.
#0  /lib64/libc.so.6(+0x3c6b0) [0x7fc9acde96b0]
#1  0x7fc9ac8e4d8e in SoFieldContainer::getAllFields(SoFieldList&) const from /lib64/libCoin.so.80+0x4e
#2  /usr/lib64/python3.7/site-packages/pivy/_coin.cpython-37m-x86_64-linux-gnu.so(+0x4dabe9) [0x7fc8feb86be9]
#3  /lib64/libpython3.7m.so.1.0(_PyMethodDef_RawFastCallKeywords+0x25e) [0x7fc9ade5968e]
#4  /lib64/libpython3.7m.so.1.0(_PyCFunction_FastCallKeywords+0x23) [0x7fc9ade597c3]
#5  /lib64/libpython3.7m.so.1.0(+0x141503) [0x7fc9ade8c503]
#6  /lib64/libpython3.7m.so.1.0(_PyEval_EvalFrameDefault+0x55b2) [0x7fc9adec74c2]
#7  /lib64/libpython3.7m.so.1.0(_PyFunction_FastCallKeywords+0x102) [0x7fc9ade7ac02]
#8  /lib64/libpython3.7m.so.1.0(+0x1413ef) [0x7fc9ade8c3ef]
#9  /lib64/libpython3.7m.so.1.0(_PyEval_EvalFrameDefault+0x55b2) [0x7fc9adec74c2]
#10  /lib64/libpython3.7m.so.1.0(_PyFunction_FastCallDict+0x11a) [0x7fc9ade7b26a]
#11  /lib64/libpython3.7m.so.1.0(_PyObject_Call_Prepend+0x66) [0x7fc9ade4ee26]
#12  /lib64/libpython3.7m.so.1.0(_PyObject_FastCallDict+0xa5) [0x7fc9ade4ab45]
#13  /lib64/libpython3.7m.so.1.0(+0x10d35f) [0x7fc9ade5835f]
#14  /lib64/libpython3.7m.so.1.0(PyObject_CallFunctionObjArgs+0x99) [0x7fc9ade58599]
#15  /lib64/libpython3.7m.so.1.0(+0x10d75d) [0x7fc9ade5875d]
#16  /lib64/libpython3.7m.so.1.0(+0x13f351) [0x7fc9ade8a351]
#17  /lib64/libpython3.7m.so.1.0(_PyEval_EvalFrameDefault+0xac9) [0x7fc9adec29d9]
#18  /lib64/libpython3.7m.so.1.0(_PyFunction_FastCallDict+0x11a) [0x7fc9ade7b26a]
#19  /lib64/libpython3.7m.so.1.0(_PyObject_Call_Prepend+0x66) [0x7fc9ade4ee26]
#20  /lib64/libpython3.7m.so.1.0(PyObject_Call+0x7e) [0x7fc9ade7b97e]
#21  0x7fc9aed57343 in Gui::ViewProviderPythonFeatureImp::attach(App::DocumentObject*) from /usr/lib64/freecad/lib/libFreeCADGui.so+0x4d3
#22  0x7fc904971cea in Gui::ViewProviderPythonFeatureT<PartGui::ViewProvider2DObject>::onChanged(App::Property const*) from /usr/lib64/freecad/lib/PartGui.so+0xda
#23  0x7fc9ae4d2bf5 in App::Property::touch() from /usr/lib64/freecad/lib/libFreeCADApp.so+0x35
#24  0x7fc9ae4f545a in App::PropertyPythonObject::Restore(Base::XMLReader&) from /usr/lib64/freecad/lib/libFreeCADApp.so+0x5ba
#25  0x7fc9ae4c38b5 in App::DynamicProperty::Restore(Base::XMLReader&) from /usr/lib64/freecad/lib/libFreeCADApp.so+0x315
#26  0x7fc9aea8bcfe in Gui::Document::RestoreDocFile(Base::Reader&) from /usr/lib64/freecad/lib/libFreeCADGui.so+0x1ae
#27  0x7fc9ae1dcd06 in Base::XMLReader::readFiles(zipios::ZipInputStream&) const from /usr/lib64/freecad/lib/libFreeCADBase.so+0x1b6
#28  0x7fc9ae40e2db in App::Document::restore() from /usr/lib64/freecad/lib/libFreeCADApp.so+0x36b
#29  0x7fc9ae52a704 in App::Application::openDocument(char const*) from /usr/lib64/freecad/lib/libFreeCADApp.so+0x194
#30  0x7fc9ae545d3d in App::Application::sOpenDocument(_object*, _object*) from /usr/lib64/freecad/lib/libFreeCADApp.so+0xad
#31  /lib64/libpython3.7m.so.1.0(_PyMethodDef_RawFastCallKeywords+0x25e) [0x7fc9ade5968e]
#32  /lib64/libpython3.7m.so.1.0(_PyCFunction_FastCallKeywords+0x23) [0x7fc9ade597c3]
#33  /lib64/libpython3.7m.so.1.0(+0x141503) [0x7fc9ade8c503]
#34  /lib64/libpython3.7m.so.1.0(_PyEval_EvalFrameDefault+0x55b2) [0x7fc9adec74c2]
#35  /lib64/libpython3.7m.so.1.0(_PyEval_EvalCodeWithName+0x2f0) [0x7fc9ade79d90]
#36  /lib64/libpython3.7m.so.1.0(PyEval_EvalCodeEx+0x39) [0x7fc9ade7aaf9]
#37  /lib64/libpython3.7m.so.1.0(PyEval_EvalCode+0x1b) [0x7fc9adf08e4b]
#38  /lib64/libpython3.7m.so.1.0(+0x1febf3) [0x7fc9adf49bf3]
#39  /lib64/libpython3.7m.so.1.0(PyRun_StringFlags+0x7d) [0x7fc9adf49c8d]
#40  0x7fc9ae1abe2a in Base::InterpreterSingleton::runString[abi:cxx11](char const*) from /usr/lib64/freecad/lib/libFreeCADBase.so+0x6a
#41  0x7fc9ae5455f7 in App::Application::sLoadFile(_object*, _object*) from /usr/lib64/freecad/lib/libFreeCADApp.so+0x567
#42  /lib64/libpython3.7m.so.1.0(_PyMethodDef_RawFastCallKeywords+0x25e) [0x7fc9ade5968e]
#43  /lib64/libpython3.7m.so.1.0(_PyCFunction_FastCallKeywords+0x23) [0x7fc9ade597c3]
#44  /lib64/libpython3.7m.so.1.0(+0x141503) [0x7fc9ade8c503]
#45  /lib64/libpython3.7m.so.1.0(_PyEval_EvalFrameDefault+0x55b2) [0x7fc9adec74c2]
#46  /lib64/libpython3.7m.so.1.0(_PyEval_EvalCodeWithName+0x2f0) [0x7fc9ade79d90]
#47  /lib64/libpython3.7m.so.1.0(PyEval_EvalCodeEx+0x39) [0x7fc9ade7aaf9]
#48  /lib64/libpython3.7m.so.1.0(PyEval_EvalCode+0x1b) [0x7fc9adf08e4b]
#49  /lib64/libpython3.7m.so.1.0(+0x1febf3) [0x7fc9adf49bf3]
#50  /lib64/libpython3.7m.so.1.0(PyRun_StringFlags+0x7d) [0x7fc9adf49c8d]
#51  /lib64/libpython3.7m.so.1.0(+0x1ff05b) [0x7fc9adf4a05b]
#52  /lib64/libpython3.7m.so.1.0(_PyMethodDef_RawFastCallKeywords+0x74) [0x7fc9ade594a4]
#53  /lib64/libpython3.7m.so.1.0(_PyCFunction_FastCallKeywords+0x23) [0x7fc9ade597c3]
#54  /lib64/libpython3.7m.so.1.0(+0x141503) [0x7fc9ade8c503]
#55  /lib64/libpython3.7m.so.1.0(_PyEval_EvalFrameDefault+0xb58) [0x7fc9adec2a68]
#56  /lib64/libpython3.7m.so.1.0(_PyEval_EvalCodeWithName+0x2f0) [0x7fc9ade79d90]
#57  /lib64/libpython3.7m.so.1.0(PyEval_EvalCodeEx+0x39) [0x7fc9ade7aaf9]
#58  /lib64/libpython3.7m.so.1.0(PyEval_EvalCode+0x1b) [0x7fc9adf08e4b]
#59  /lib64/libpython3.7m.so.1.0(+0x1febf3) [0x7fc9adf49bf3]
#60  /lib64/libpython3.7m.so.1.0(PyRun_StringFlags+0x7d) [0x7fc9adf49c8d]
#61  0x7fc9ae1abe2a in Base::InterpreterSingleton::runString[abi:cxx11](char const*) from /usr/lib64/freecad/lib/libFreeCADBase.so+0x6a
#62  0x7fc9aeae9784 in Gui::Command::doCommand(Gui::Command::DoCmd_Type, char const*, ...) from /usr/lib64/freecad/lib/libFreeCADGui.so+0x134
#63  0x7fc9880c1f70 in WebGui::BrowserView::onLinkClicked(QUrl const&) from /usr/lib64/freecad/lib/WebGui.so+0x820
#64  0x7fc9ad41adfb in QMetaObject::activate(QObject*, int, int, void**) from /lib64/libQt5Core.so.5+0x69b
#65  0x7fc974a34cc9 in QWebView::linkClicked(QUrl const&) from /lib64/libQt5WebKitWidgets.so.5+0x39
#66  /lib64/libQt5WebKitWidgets.so.5(+0x37baa) [0x7fc974a35baa]
#67  0x7fc9ad41adfb in QMetaObject::activate(QObject*, int, int, void**) from /lib64/libQt5Core.so.5+0x69b
#68  0x7fc974a2a389 in QWebPage::linkClicked(QUrl const&) from /lib64/libQt5WebKitWidgets.so.5+0x39
#69  0x7fc974a2aceb in QWebPage::acceptNavigationRequest(QWebFrame*, QNetworkRequest const&, QWebPage::NavigationType) from /lib64/libQt5WebKitWidgets.so.5+0x8b
#70  /lib64/libQt5WebKit.so.5(+0x5a9fd0) [0x7fc95570efd0]
#71  /lib64/libQt5WebKit.so.5(+0x166446e) [0x7fc9567c946e]
#72  /lib64/libQt5WebKit.so.5(+0x1648404) [0x7fc9567ad404]
#73  /lib64/libQt5WebKit.so.5(+0x1648a39) [0x7fc9567ada39]
#74  /lib64/libQt5WebKit.so.5(+0x16492f2) [0x7fc9567ae2f2]
#75  0x7fc9567aef31 in WebCore::FrameLoader::loadFrameRequest(WebCore::FrameLoadRequest const&, WebCore::Event*, WTF::PassRefPtr<WebCore::FormState>) from /lib64/libQt5WebKit.so.5+0x3e1
#76  /lib64/libQt5WebKit.so.5(+0x164a4ec) [0x7fc9567af4ec]
#77  0x7fc9567afa5a in WebCore::FrameLoader::urlSelected(WebCore::URL const&, WTF::String const&, WebCore::Event*, WebCore::LockHistory, WebCore::LockBackForwardList, WebCore::ShouldSendReferrer, WebCore::ShouldOpenExternalURLsPolicy) from /lib64/libQt5WebKit.so.5+0x3fa
#78  /lib64/libQt5WebKit.so.5(+0x11feeb5) [0x7fc956363eb5]
#79  /lib64/libQt5WebKit.so.5(+0x1354c5a) [0x7fc9564b9c5a]
#80  /lib64/libQt5WebKit.so.5(+0x13531b2) [0x7fc9564b81b2]
#81  /lib64/libQt5WebKit.so.5(+0x16e6f69) [0x7fc95684bf69]
#82  0x7fc956850d69 in WebCore::EventHandler::handleMouseReleaseEvent(WebCore::PlatformMouseEvent const&) from /lib64/libQt5WebKit.so.5+0x529
#83  0x7fc955735de6 in QWebPageAdapter::mouseReleaseEvent(QMouseEvent*) from /lib64/libQt5WebKit.so.5+0x76
#84  0x7fc974a337eb in QWebPage::event(QEvent*) from /lib64/libQt5WebKitWidgets.so.5+0x96b
#85  0x7fc974a34754 in QWebView::mouseReleaseEvent(QMouseEvent*) from /lib64/libQt5WebKitWidgets.so.5+0x24
#86  0x7fc9ad85c34e in QWidget::event(QEvent*) from /lib64/libQt5Widgets.so.5+0x24e
#87  0x7fc974a35ea3 in QWebView::event(QEvent*) from /lib64/libQt5WebKitWidgets.so.5+0x63
#88  0x7fc9ad819ad6 in QApplicationPrivate::notify_helper(QObject*, QEvent*) from /lib64/libQt5Widgets.so.5+0x86
#89  0x7fc9ad8233a3 in QApplication::notify(QObject*, QEvent*) from /lib64/libQt5Widgets.so.5+0x583
#90  0x7fc9aeabd4e8 in Gui::GUIApplication::notify(QObject*, QEvent*) from /usr/lib64/freecad/lib/libFreeCADGui.so+0x88
#91  0x7fc9ad3f0de8 in QCoreApplication::notifyInternal2(QObject*, QEvent*) from /lib64/libQt5Core.so.5+0x88
#92  0x7fc9ad8224b7 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool, bool) from /lib64/libQt5Widgets.so.5+0x1b7
#93  /lib64/libQt5Widgets.so.5(+0x1ce0dd) [0x7fc9ad8780dd]
#94  /lib64/libQt5Widgets.so.5(+0x1d0f6c) [0x7fc9ad87af6c]
#95  0x7fc9ad819ad6 in QApplicationPrivate::notify_helper(QObject*, QEvent*) from /lib64/libQt5Widgets.so.5+0x86
#96  0x7fc9ad823150 in QApplication::notify(QObject*, QEvent*) from /lib64/libQt5Widgets.so.5+0x330
#97  0x7fc9aeabd4e8 in Gui::GUIApplication::notify(QObject*, QEvent*) from /usr/lib64/freecad/lib/libFreeCADGui.so+0x88
#98  0x7fc9ad3f0de8 in QCoreApplication::notifyInternal2(QObject*, QEvent*) from /lib64/libQt5Core.so.5+0x88
#99  0x7fc9ab7a3723 in QGuiApplicationPrivate::processMouseEvent(QWindowSystemInterfacePrivate::MouseEvent*) from /lib64/libQt5Gui.so.5+0x6f3
#100  0x7fc9ab7a4f4b in QGuiApplicationPrivate::processWindowSystemEvent(QWindowSystemInterfacePrivate::WindowSystemEvent*) from /lib64/libQt5Gui.so.5+0x26b
#101  0x7fc9ab78154b in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>) from /lib64/libQt5Gui.so.5+0xbb
#102  /lib64/libQt5WaylandClient.so.5(+0x92564) [0x7fc99afa6564]
#103  /lib64/libglib-2.0.so.0(g_main_context_dispatch+0x160) [0x7fc9aadd44a0]
#104  /lib64/libglib-2.0.so.0(+0x51830) [0x7fc9aadd4830]
#105  /lib64/libglib-2.0.so.0(g_main_context_iteration+0x33) [0x7fc9aadd48d3]
#106  0x7fc9ad445cb5 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) from /lib64/libQt5Core.so.5+0x65
#107  0x7fc9ad3efceb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) from /lib64/libQt5Core.so.5+0x12b
#108  0x7fc9ad3f7a16 in QCoreApplication::exec() from /lib64/libQt5Core.so.5+0x96
#109  0x7fc9aea443a5 in Gui::Application::runApplication() from /usr/lib64/freecad/lib/libFreeCADGui.so+0x16f5
#110  FreeCAD(main+0x6a6) [0x55b65e933be6]
#111  /lib64/libc.so.6(__libc_start_main+0xf3) [0x7fc9acdd41a3]
#112  FreeCAD(_start+0x2e) [0x55b65e933f4e]

Comment 51 René Perdok 2019-12-09 20:34:11 UTC
I just installed from your COPR repository for Fedora 31, and now it does not crash anymore when creating a new file, so that is a great improvement!
It looks a bit different than the FreeCAD from the Fedora repo, but that is all fine.

Comment 52 René Perdok 2019-12-09 20:44:28 UTC
I do have an issue with the preferences window (also on the start page), the icons on that window are so big that I cannot see the bottom of the window with the buttons to save the new settings. I have a 4K screen, set to 200% in order to be able to have normal size text on screen.

Comment 53 Fedora Update System 2019-12-18 01:25:37 UTC
Coin4-4.0.0-4.fc31, freecad-0.18.4-3.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e935331fe6

Comment 54 Fedora Update System 2019-12-18 02:08:51 UTC
Coin4-4.0.0-4.fc30, freecad-0.18.4-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-3d88bddf00

Comment 55 Fedora Update System 2019-12-18 09:58:39 UTC
FEDORA-2019-3d88bddf00 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-3d88bddf00

Comment 56 Fedora Update System 2019-12-18 09:58:42 UTC
FEDORA-2019-e935331fe6 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e935331fe6

Comment 57 Fedora Update System 2020-01-04 22:15:04 UTC
Coin4-4.0.0-4.fc30, freecad-0.18.4-3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 58 Fedora Update System 2020-01-05 00:40:20 UTC
Coin4-4.0.0-4.fc31, freecad-0.18.4-3.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 59 Niki Guldbrand 2020-02-08 17:56:08 UTC
Similar problem has been detected:

1)	Start FreeCAD
2)	Click File->New
3)	Crash

reporter:       libreport-2.11.3
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/gnome-terminal-server.service
cmdline:        FreeCAD
crash_function: cc_glglue_instance
executable:     /usr/lib64/freecad/bin/FreeCAD
journald_cursor: s=40640bc6ff274be1b91e8f6331fd9eb1;i=9ea7;b=0be4ab11054948ae89088099dff4c5fa;m=7db2929c28;t=59d382ffb49f5;x=19ff3d22d4986a35
kernel:         5.4.10-200.fc31.x86_64
package:        1:freecad-0.18.4-5.fc31
reason:         FreeCAD killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000


Note You need to log in before you can comment on or make changes to this bug.